import { SvgIconProps } from "../../app/types/types";


export function NotificationSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M15.5181 2.67829C10.1291 2.93212 5.99985 7.56216 5.99985 12.9205V17.7655L4.23292 21.3202C4.22981 21.3267 4.22677 21.3332 4.2238 21.3397C3.51297 22.8514 4.66365 24.6666 6.33448 24.6666H11.9998C11.9998 26.8638 13.8026 28.6666 15.9998 28.6666C18.1971 28.6666 19.9998 26.8638 19.9998 24.6666H25.6639C27.3347 24.6666 28.4869 22.8518 27.7759 21.3397C27.7729 21.3332 27.7699 21.3267 27.7668 21.3202L25.9998 17.7655V12.6666C25.9998 6.99577 21.242 2.40881 15.5181 2.67829ZM15.6118 4.67568C20.2252 4.45849 23.9998 8.10804 23.9998 12.6666V17.9999C23.9997 18.1544 24.0354 18.3068 24.104 18.4452L25.966 22.1926C26.0857 22.4492 25.9472 22.6666 25.6639 22.6666H6.33448C6.0512 22.6666 5.91378 22.4496 6.0337 22.1926V22.1913L7.89568 18.4452C7.96433 18.3068 7.99998 18.1544 7.99985 17.9999V12.9205C7.99985 8.58679 11.3195 4.87786 15.6118 4.67568ZM13.9998 24.6666H17.9998C17.9998 25.7827 17.1159 26.6666 15.9998 26.6666C14.8838 26.6666 13.9998 25.7827 13.9998 24.6666Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
